<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button icon="chevron-back"></ion-back-button>
        </ion-buttons>
        <ion-title class="ion-no-padding ion-font-lg">Categorias</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>

    <ion-row>
        <ion-col>
            <ion-item lines="none">
                <ion-label color="dark">
                    <h2 class="ion-font-bold">{{ categoria?.name }}</h2>
                    <div class="ion-flex ion-flex-wrap">
                        <ion-text color="medium" class="ion-font-sm">
                          <span>Categorias</span>
                        </ion-text>
                    </div>
                </ion-label>
                <ion-icon [src]="categoria?.thumbnail" color="medium" slot="end"></ion-icon>
            </ion-item>
        </ion-col>
    </ion-row>

    <div class="app-divider"></div>

    <ng-container *ngIf="!service.waiting; else spinner">
        <ion-row>
            <ion-col size="12">
                <ion-label color="dark">
                    <h2 class="ion-padding-start ion-font-bold">{{ data?.length }} Locales</h2>
                </ion-label>
            </ion-col>
        </ion-row>
    
        <ion-list>
            <ng-container *ngFor="let r of data;">
                <restaurante-item [name]="r.name" [thumbnail]="r.thumbnail" [rating]="r.rating" [delivery]="r.delivery"
                    [state]="r.state" [isNew]="r.isNew" [minPrice]="r.minPrice" (click)="service.onMenu(r)">
                </restaurante-item>
            </ng-container>
        </ion-list>
    </ng-container>

    <ng-template #spinner>
        <ion-row class="ion-justify-content-center">
            <ion-col size="auto">
                <br><br>
                <ion-spinner color="secondary"></ion-spinner>
            </ion-col>
        </ion-row>
    </ng-template>

</ion-content>